@echo off

rem locate pulse and jamcommand
IF EXIST "c:\Program Files (x86)\Common Files\Pulse Secure\JamUI" GOTO :bit64
IF EXIST "c:\Program Files\Common Files\Pulse Secure\JamUI" GOTO :bit32
echo Pulse was not found on this machine
goto :done
:bit64
set pulsedir=c:\Program Files (x86)\Common Files\Pulse Secure\JamUI
goto :pulsefound
:bit32
set pulsedir=c:\Program Files\Common Files\Pulse Secure\JamUI
goto :pulsefound
:pulsefound
set jamcommand=%pulsedir%\jamcommand.exe

if "%1" == "-brand" goto :brand
if "%1" == "-unbrand" goto :unbrand
if "%1" == "-version" goto :version
if "%1" == "-import" goto :import
echo "Invalid command"
echo "Valid commands are -brand, -unbrand, -version or -import"
goto :done

:version
type VersionBrandingTools.txt
goto :done


:brand
if EXIST PulseWin.PulseBranding goto :fileexists
echo "PulseWin.PulseBranding" is missing.  Have you packaged your work yet?
goto :done
:fileexists
"%jamcommand%" -brand PulseWin.PulseBranding
if errorlevel 1 goto :processerrors
echo PulseWin.PulseBranding has been installed
goto :done

:unbrand
"%jamcommand%" -unbrand
if errorlevel 1 goto :processerrors
echo Branding files have been uninstalled
goto :done

:import
if EXIST %2 goto :fileexists
echo Pulsepreconfigure-File is missing.
goto :done
:fileexists
"%jamcommand%" -importfile %2
if errorlevel 1 goto :processerrors
echo %2 has been installed
goto :done

:processerrors
set saveerror=%ERRORLEVEL%
if errorlevel 4 goto :unknownerror
rem ECHO error - %saveerror%
if %saveerror%==2 echo  Error deleting branding files - Did you "Run as Administrator" ?
if %saveerror%==3 echo  Error installing branding files - Did you "Run as Administrator" ?
if %saveerror%==1 echo  General error in branding functions - Check Pulse log files.
goto :done


ECHO Unknown error - %saveerror%
goto done:

:done
set jamcommand=
set pulsedir=
set saverror=

:EOF
